package demo;

import java.awt.*;
import javax.swing.*;

public class BetterStack extends MyStack {

	public BetterStack() {
		super("BetterStack");
		setBackground(Color.magenta);
	}

	public void push(char c) {
		// push when idx < SIZE - 1
		if (idx > 0) {
			data[idx] = c;
			stackContent[idx].setText("" + c);
			idx--;
			setPointer(idx);
		}
	}

	public char pop() {
		char c = 0;
		if (idx < SIZE - 2) {
			idx++;
			setPointer(idx);
			stackContent[idx].setText("");
			c = data[idx];
			data[idx] = '\u0000';
		}
		return c;
	}


}